Bug 1178682 - (CVE-2020-25708) VUL-0: CVE-2020-25708: LibVNCServer: libvncserver/rfbserver.c has a divide by zero which could result in DoS
(CVE-2020-25708)
VUL-0: CVE-2020-25708: LibVNCServer: libvncserver/rfbserver.c has a divide by...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/271349/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-11-11 15:26 UTC by Robert Frohl
Modified: 2021-09-17 10:41 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-11-11 15:26:32 UTC
rh#1896739

An issue was discovered in libvncserver-0.9.12. There is a divide by zero in rfbSendRectEncodingRaw function in libvncserver/rfbserver.c.
Attackers can launch a denial of service attack by sending a special message to the VNC server.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1896739
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-25708
https://github.com/LibVNC/libvncserver/issues/409
https://github.com/LibVNC/libvncserver/commit/673c07a75ed844d74676f3ccdcfdc706a7052dba
Comment 1 Robert Frohl 2020-11-11 15:27:22 UTC
tracking as affected:

SUSE:SLE-11:Update/LibVNCServer
SUSE:SLE-12:Update/LibVNCServer
SUSE:SLE-15:Update/LibVNCServer
Comment 2 Petr Gajdos 2020-11-24 12:24:15 UTC
Package submitted for 15,12,11/LibVNCServer.

I believe all fixed.
Comment 4 Swamp Workflow Management 2020-11-25 17:16:50 UTC
SUSE-SU-2020:3515-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1178682
CVE References: CVE-2020-25708
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    LibVNCServer-0.9.10-4.25.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    LibVNCServer-0.9.10-4.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-11-26 11:16:23 UTC
openSUSE-SU-2020:2025-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1178682
CVE References: CVE-2020-25708
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    LibVNCServer-0.9.10-lp152.9.8.1
Comment 6 Swamp Workflow Management 2020-11-26 17:28:09 UTC
SUSE-SU-2020:14549-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1178682
CVE References: CVE-2020-25708
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    LibVNCServer-0.9.1-160.22.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    LibVNCServer-0.9.1-160.22.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    LibVNCServer-0.9.1-160.22.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    LibVNCServer-0.9.1-160.22.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2020-11-27 17:16:29 UTC
SUSE-SU-2020:3550-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1178682
CVE References: CVE-2020-25708
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    LibVNCServer-0.9.9-17.34.1
SUSE OpenStack Cloud Crowbar 8 (src):    LibVNCServer-0.9.9-17.34.1
SUSE OpenStack Cloud 9 (src):    LibVNCServer-0.9.9-17.34.1
SUSE OpenStack Cloud 8 (src):    LibVNCServer-0.9.9-17.34.1
SUSE OpenStack Cloud 7 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP5 (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    LibVNCServer-0.9.9-17.34.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    LibVNCServer-0.9.9-17.34.1
SUSE Enterprise Storage 5 (src):    LibVNCServer-0.9.9-17.34.1
HPE Helion Openstack 8 (src):    LibVNCServer-0.9.9-17.34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-11-28 23:17:33 UTC
openSUSE-SU-2020:2097-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1178682
CVE References: CVE-2020-25708
JIRA References: 
Sources used:
openSUSE Leap 15.1 (src):    LibVNCServer-0.9.10-lp151.7.12.1
Comment 9 Alexandros Toptsoglou 2021-01-27 17:09:29 UTC
DONE
Comment 10 OBSbugzilla Bot 2021-09-17 10:41:03 UTC
This is an autogenerated message for OBS integration:
This bug (1178682) was mentioned in
https://build.opensuse.org/request/show/919689 Factory / LibVNCServer